# awesome-captcha
[![Awesome](https://awesome.re/badge.svg)](https://awesome.re)
[![license](https://img.shields.io/github/license/ZYSzys/awesome-captcha.svg)](https://github.com/ZYSzys/awesome-captcha/blob/master/LICENSE)

:triangular_flag_on_post:  This repo is a collection of awesome captcha libraries and captcha crack tools.  
**Welcome to PR～～～**

[English](README.md) | [中文](README-zh.md)

## Contents

- [Libraries](#libraries)
- [Generation](#generation)
- [Crack](#crack)
    - [General](#general)
    - [Chinese](#chinese)
- [Tools](#tools)
- [Other](#other)


## Libraries

- [captcha](https://github.com/mewebstudio/captcha) - Captcha for Laravel 5.
- [Captcha](https://github.com/Gregwar/Captcha) - PHP Captcha library.
- [captcha](https://github.com/trekjs/captcha) - A Lightweight Pure JavaScript Captcha for Node.js. No C/C++, No ImageMagick, No Canvas.
- [patchca](https://github.com/pusuo/patchca) - Simple yet powerful CAPTCHA library written in Java.


## Generation
- [captcha](https://github.com/dchest/captcha) - Go package captcha implements generation and verification of image and audio CAPTCHAs.
- [captcha](https://github.com/lepture/captcha) - A captcha library that generates audio and image CAPTCHAs.
- [svg-captcha](https://github.com/lemonce/svg-captcha) - generate svg captcha in node.
- [ccap](https://github.com/DoubleSpout/ccap) - node.js generate captcha using c++ library CImg without install any other lib or software.
- [captchagen](https://github.com/contra/captchagen) - Captcha generation for NodeJS.


## Crack

### General
- [captcha](https://github.com/arunpatala/captcha) - Breaking captchas using torch.
- [CAPTCHA](https://github.com/zakizhou/CAPTCHA) - implement classification for CAPTCHA in TensorFlow.
- [captcha-break](https://github.com/nladuo/captcha-break) - captcha break based on opencv2, tesseract-ocr and some machine learning algorithm.
- [captcha_break](https://github.com/ypwhs/captcha_break) - captcha break using CNN with Keras.
- [simple-captcha-solver](https://github.com/ptigas/simple-captcha-solver) - simple CAPTCHA solver in python 🐍.
- [SimGAN-Captcha](https://github.com/rickyhan/SimGAN-Captcha) - Solve captcha without manually labeling a training set.
- [captcha](https://github.com/HLearning/captcha) - crack captcha using CNN.
- [captcha.irctc](https://github.com/arunpatala/captcha.irctc) - Reading irctc captchas with 98% accuracy using deep learning.
- [captcha-tensorflow](https://github.com/JackonYang/captcha-tensorflow) - Image Captcha Solving Using TensorFlow and CNN Model.
- [CNN_keras](https://github.com/skyduy/CNN_keras) - CNN | Keras | CAPTCHA recognition（卷积神经网络、Keras框架、验证码识别）.
- [captcha_recognize](https://github.com/PatrickLib/captcha_recognize) - Image Recognition captcha without image segmentation.
- [captcha_svm](https://github.com/zhengwh/captcha-svm) - Use svm to hack simple captcha.
- [CAPTCHA-breaking](https://github.com/lllcho/CAPTCHA-breaking)

### Chinese
- [chinese_hand_write_rec](https://github.com/burness/tensorflow-101/tree/master/chinese_hand_write_rec/src) - handwritten chinese recognition.
- [cnn_handwritten_chinese_recognition](https://github.com/taosir/cnn_handwritten_chinese_recognition) - As the name shows, handwritten_chinese_recognition with cnn.
- [Chinese-Character-Recognition](https://github.com/soloice/Chinese-Character-Recognition) - This project shows how to use CNN to perform Chinese character recognition, a much more complicated task compared to MNIST digit recognition.
- [zheye](https://github.com/muchrooms/zheye) - 者也 - 知乎 倒立的文字 汉字验证码识别程序.

## Tools

- [MotionCAPTCHA](https://github.com/wjcrowcroft/MotionCAPTCHA) - MotionCAPTCHA jQuery Plugin - Stop Spam, Draw Shapes.
- [negative-captcha](https://github.com/subwindow/negative-captcha) - A plugin to make the process of creating a negative captcha in Rails much less painful.
- [django-simple-captcha](https://github.com/mbi/django-simple-captcha) - An extremely simple, yet highly customizable Django application to add captcha images to any Django form.
- [securimage](https://github.com/dapphp/securimage) - PHP CAPTCHA Script.


## Other

- [visualCaptcha](https://github.com/emotionLoop/visualCaptcha) - A collection of all the different versions/repos of visualCaptcha.